Favicon

You are here: Home > API Reference > Apple > Apple Locations > Create or update admVppLocation

Create or update admVppLocation

Required Permission: mdm.apple.vppLocation.create

Create or update admVppLocation based on token uId obtained from Apple

POST
/v1/organizations/:organizationId/mdm/apple/enterprise/vpp/locations/
Copy to clipboard

Create or update admVppLocation

Required Permission: mdm.apple.vppLocation.create

Create or update admVppLocation based on token uId obtained from Apple

Request

Add parameter in header authorization
Example: Authorization: Bearer <token>
organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$
Body Params application/json
token string required
{
    "token": "string"
}

Responses

200 Response application/json
status boolean optional
data object optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
organization string optional
Match pattern: ^[a-fA-F0-9]{24}$
admEnterprise string optional
Match pattern: ^[a-fA-F0-9]{24}$
token string optional
≤ 256 characters
name string optional
≤ 256 characters
expirationDate string optional
Format: date-time
authToken string optional
≤ 256 characters
config object optional
countryISO2ACode string optional
≤ 256 characters
defaultPlatform string optional
≤ 256 characters
locationName string optional
≤ 256 characters
version integer optional
≥ 0
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
{
    "status": true,
    "data": {
        "id": "string",
        "organization": "string",
        "admEnterprise": "string",
        "token": "string",
        "name": "string",
        "expirationDate": "2024-01-01T00: 00:00Z",
        "authToken": "string",
        "config": {
            "countryISO2ACode": "string",
            "defaultPlatform": "string",
            "locationName": "string"
        },
        "version": 0,
        "updatedAt": "2024-01-01T00: 00:00Z",
        "createdAt": "2024-01-01T00: 00:00Z"
    }
}
400 Response application/json
status boolean optional
false
error object optional
code number optional
5090
message string optional
Invalid location token
{
    "status": false,
    "error": {
        "code": 5090,
        "message": "Invalid location token"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}